Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.string
Class StringContains

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.string.StringOperator
                        |
                        +--com.bea.p13n.expression.operator.string.StringContains

public final class StringContains
extends StringOperator
implements BinaryOperator

Implementation of the StringContains operator.
Input 1: A String (or Expression returning a String) that is LHS of the operator.
Input 2: A String (or Expression returning a String) that is RHS of the operator.
Returns: A Boolean: Boolean.TRUE if the RHS is a substring of the LHS.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.expression.operator.string.StringOperator
`BINARY_PARAMETER_SIGNATURE, UNARY_PARAMETER_SIGNATURE`

Constructor Summary
`StringContains()`
`StringContains(java.lang.Object lhs, java.lang.Object rhs)`

Method Summary
`java.lang.Object` | `getLeftHandSide()`
`java.lang.Class[]` | `getParameterSignature()`
`java.lang.Object` | `getRightHandSide()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringContains

    public StringContains()

### StringContains

    public StringContains(java.lang.Object lhs,
                          java.lang.Object rhs)

Method Detail

### getLeftHandSide

    public java.lang.Object getLeftHandSide()

  Specified by:
    getLeftHandSide in interface BinaryOperator

### getRightHandSide

    public java.lang.Object getRightHandSide()

  Specified by:
    getRightHandSide in interface BinaryOperator

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved